Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## movie.ex9.model
Class Contribution

    java.lang.Object
      movie.ex9.model.Contribution

All Implemented Interfaces:
  java.io.Serializable

    public class Contribution

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`private java.lang.String` | `description`
`private Movie` | `movie`
`private Person` | `person`
`private java.lang.String` | `role`

Constructor Summary
`Contribution()`
`Contribution(Movie movie, java.lang.String role, Person person)`
`Contribution(Movie movie, java.lang.String role, Person person, java.lang.String description)`
`Contribution(java.lang.String role, Person person)`

Method Summary
`boolean` | `equals(java.lang.Object o)`
`java.lang.String` | `getDescription()`
`Movie` | `getMovie()`
`Person` | `getPerson()`
`java.lang.String` | `getRole()`
`int` | `hashCode()`
`void` | `setDescription(java.lang.String description)`
`void` | `setMovie(Movie movie)`
`void` | `setPerson(Person person)`
`void` | `setRole(java.lang.String role)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### movie

    private Movie movie

### role

    private java.lang.String role

### person

    private Person person

### description

    private java.lang.String description

Constructor Detail

### Contribution

    public Contribution()

### Contribution

    public Contribution(java.lang.String role,
                        Person person)

### Contribution

    public Contribution(Movie movie,
                        java.lang.String role,
                        Person person)

### Contribution

    public Contribution(Movie movie,
                        java.lang.String role,
                        Person person,
                        java.lang.String description)

Method Detail

### getMovie

    public Movie getMovie()

### setMovie

    public void setMovie(Movie movie)

### getRole

    public java.lang.String getRole()

### setRole

    public void setRole(java.lang.String role)

### getPerson

    public Person getPerson()

### setPerson

    public void setPerson(Person person)

### getDescription

    public java.lang.String getDescription()

### setDescription

    public void setDescription(java.lang.String description)

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD